[134425] users/devans/GNOME-3/stable/dports/gnome/libgdata

devans at macports.org devans at macports.org
Wed Mar 25 07:34:27 PDT 2015


Revision: 134425
          https://trac.macports.org/changeset/134425
Author:   devans at macports.org
Date:     2015-03-25 07:34:27 -0700 (Wed, 25 Mar 2015)
Log Message:
-----------
GNOME-3/stable: libgdata, reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/libgdata/Portfile

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/libgdata/files/autogen.sh

Modified: users/devans/GNOME-3/stable/dports/gnome/libgdata/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/libgdata/Portfile	2015-03-25 14:13:19 UTC (rev 134424)
+++ users/devans/GNOME-3/stable/dports/gnome/libgdata/Portfile	2015-03-25 14:34:27 UTC (rev 134425)
@@ -27,8 +27,11 @@
 
 depends_build       port:pkgconfig \
                     port:intltool \
+                    port:gtk-doc \
                     port:gnome-common \
-                    port:gtk-doc
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:gtk3 \
                     port:gdk-pixbuf2 \
@@ -43,17 +46,17 @@
 
 patchfiles          patch-gdata-gdata.symbols.diff
 
-# update m4/intltool.m4 and autoreconf
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
-pre-configure {
-    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
 }
 
-use_autoreconf      yes
-autoreconf.args     -fvi
+configure.cmd       ./autogen.sh
 
 configure.args      --enable-gnome \
                     --enable-goa \
+                    --enable-compile-warnings=minimum \
                     --disable-silent-rules
 
 test.run            yes

Added: users/devans/GNOME-3/stable/dports/gnome/libgdata/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/libgdata/files/autogen.sh	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/libgdata/files/autogen.sh	2015-03-25 14:34:27 UTC (rev 134425)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME=libgdata
+
+(test -f $srcdir/configure.ac) || {
+	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
+	exit 1
+}
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+	echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+	echo "If you wish to pass any to it, please specify them on the" >&2
+	echo \`$0\'" command line." >&2
+	echo "" >&2
+fi
+
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+if [ -n "m4" ]; then
+	mkdir -p m4
+fi
+
+set -x
+
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if test x$NOCONFIGURE = x; then
+	$srcdir/configure "$@" && \
+	echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+else
+	echo "Skipping configure process."
+fi
+
+set +x
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150325/080af399/attachment.html>


More information about the macports-changes mailing list